# Types of goods to obtain

# Dxplaination of Interface Call Request

Get information about all three level categories and their qualifications Note: This interface pulls the full amount of third-level category data, and the data back packet size is about 2MB. Therefore, merchants should make their own caches, and do not call them frequently (there is a strict frequency limit). The data in this category does not change frequency, and merchants are recommended to call once a day to update their own caching.

If the category qualification is required, a qualification application must be made through the category eligibility application interface before adding a product; If the category qualification is not required, the category is automatically owned, no application is required, and if the category is still invoked, the error 1050011 will be reported; If the product credential is required, bring the commodities credential field with you when you add a product. Access category audit corrections are required to obtain audit results.

http请求方式:POST
https://api.weixin.qq.com/shop/cat/get?access_token=xxxxxxxxx

# Example of request parameters

{
}

# Examples of back-up

{
    "errcode": 0,
    "errmsg":"ok",
    "third_cat_list":
    [
        {
            "third_cat_id": 6493,
            "third_cat_name": "爬行垫/毯",
            "qualification": "",
            "qualification_type": 0,
            "product_qualification": "《国家强制性产品认证证书》(CCC安全认证证书)",
            "product_qualification_type": 1,
            "first_cat_id": 6472,
            "first_cat_name": "玩具乐器",
            "second_cat_id": 6489,
            "second_cat_name": "健身玩具"
        },
        ...
    ]
}

# Dxplaination of request parameters

nothing

# Dxplaination of callback parameters

parameter type Introductions
errcode number Error code
errmsg string Error message
third_cat_list object array List of categories
third_cat_list[].third_cat_id number Category ID
third_cat_list[].third_cat_name string Category Name
third_cat_list[].qualification string Category qualifications
third_cat_list[].qualification_type number Category Qualification Type, 0: Not required, 1: Required, 2: Selectable
third_cat_list[].product_qualification string Product qualifications
third_cat_list[].product_qualification_type number Type of Product Credentials, 0: Not required, 1: Required, 2: Select
third_cat_list[].second_cat_id number Secondary category ID
third_cat_list[].second_cat_name string Secondary category names
third_cat_list[].first_cat_id number First-level category ID
third_cat_list[].first_cat_name string Category Name at Level 1